Bug 755076 - BackupPC uses syntax deprecated in Perl 5.14
BackupPC uses syntax deprecated in Perl 5.14
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: BackupPC (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 13:41 EST by Joel Uckelman
Modified: 2013-01-21 22:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 01:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2011-11-18 13:41:10 EST
Description of problem:

After upgrading to Fedora 16, I get loads of errors from BackupPC's web interface in my httpd logs:

[Fri Nov 18 19:23:55 2011] [error] [client 192.168.1.33] [Fri Nov 18 19:23:55 2011] Text.pm: Use of qw(...) as parentheses is deprecated at /usr/share/BackupPC/lib/BackupPC/Storage/Text.pm line 301., referer: http://192.168.1.38/BackupPC?action=browse&host=localhost&num=69&share=/&dir=/etc/rc.d
[Fri Nov 18 19:23:56 2011] [error] [client 192.168.1.33] [Fri Nov 18 19:23:56 2011] Lib.pm: Use of qw(...) as parentheses is deprecated at /usr/share/BackupPC/lib/BackupPC/Lib.pm line 1412., referer: http://192.168.1.38/BackupPC?action=browse&host=localhost&num=69&share=/&dir=/etc/rc.d
[Fri Nov 18 19:23:58 2011] [error] [client 192.168.1.33] [Fri Nov 18 19:23:58 2011] BackupPC_Admin.pl: defined(@array) is deprecated at /usr/share/BackupPC/lib/BackupPC/CGI/Browse.pm line 68., referer: http://192.168.1.38/BackupPC?action=browse&host=localhost&num=69&share=/&dir=/etc/rc.d
[Fri Nov 18 19:23:58 2011] [error] [client 192.168.1.33] [Fri Nov 18 19:23:58 2011] BackupPC_Admin.pl: \t(Maybe you should just omit the defined()?), referer: http://192.168.1.38/BackupPC?action=browse&host=localhost&num=69&share=/&dir=/etc/rc.d

These make the httpd logs noisier than is necessary, so it would be nice if BackupPC adopted the current Perl syntax to make them go away.

Version-Release number of selected component (if applicable):

BackupPC-3.2.1-6.fc16.x86_64
perl-5.14.2-190.fc16.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Browse a backup through the BackupPC web interface.
  
Actual results:

Errors.

Expected results:

No errors.
Comment 1 Joel Uckelman 2012-06-03 06:17:57 EDT
This still happens with BackupPC-3.2.1-7.fc17.x86_64 in Fedora 17.
Comment 2 Bernard Johnson 2012-12-24 18:51:40 EST
Fix for deprecated syntax forthcoming.  Fix for questionable define will not be included.
Comment 3 Fedora Update System 2012-12-24 19:06:15 EST
BackupPC-3.2.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.fc18
Comment 4 Fedora Update System 2012-12-24 19:08:12 EST
BackupPC-3.2.1-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.fc17
Comment 5 Fedora Update System 2012-12-24 19:09:46 EST
BackupPC-3.2.1-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.el6
Comment 6 Fedora Update System 2012-12-25 15:09:46 EST
Package BackupPC-3.2.1-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing BackupPC-3.2.1-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13861/BackupPC-3.2.1-10.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-25 20:48:01 EST
BackupPC-3.2.1-10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.el5
Comment 8 Fedora Update System 2013-01-05 01:54:53 EST
BackupPC-3.2.1-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-09 17:17:46 EST
BackupPC-3.2.1-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-11 18:55:31 EST
BackupPC-3.2.1-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-21 22:38:47 EST
BackupPC-3.2.1-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.